Page MenuHomePhabricator

Odd behaviour when editing qualifier property type but not value
Closed, ResolvedPublic

Description

Acceptance criteria:

  • go to a File page that has a statement with qualifiers (e.g. https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_20-06-2019_at_12.36.jpg)
  • click 'edit' on structured data panel showing the statement with its qualifiers
  • change one of the qualifiers so that its property has a different type (e.g. if the property has type entity change it to one with type quantity, or vice versa) - but don't change the value
  • click 'submit'
  • verify that the qualifier has been deleted (because it had no value)
  • verify that the statement panel can again be edited

QA Results

ACStatusDetails
1T226181#5348053
2T226181#5348053

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterFix `data` handling
mediawiki/extensions/WikibaseMediaInfo : masterSeparate property & value formatting

Event Timeline

Cparle created this task.Jun 20 2019, 12:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2019, 12:05 PM

Change 518243 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Separate property & value formatting

https://gerrit.wikimedia.org/r/518243

Change 518244 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Fix handling

https://gerrit.wikimedia.org/r/518244

Ramsey-WMF triaged this task as Normal priority.Jun 25 2019, 3:03 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 518243 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Separate property & value formatting

https://gerrit.wikimedia.org/r/518243

Change 518244 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Fix data handling

https://gerrit.wikimedia.org/r/518244

matthiasmullie removed matthiasmullie as the assignee of this task.Jul 9 2019, 9:19 AM
matthiasmullie updated the task description. (Show Details)
matthiasmullie added a subscriber: matthiasmullie.
Cparle assigned this task to Edtadros.Jul 9 2019, 4:12 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ❌ FAIL
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

QA Steps
  1. go to a File page that has a statement with qualifiers (e.g. https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_20-06-2019_at_12.36.jpg)
  2. click 'edit' on structured data panel showing the statement with its qualifiers
  3. change one of the qualifiers so that its property has a different type (e.g. if the property has type entity change it to one with type quantity, or vice versa) - but don't change the value
  4. click 'submit'

✅ AC1: erify that the qualifier has been deleted (because it had no value)


❌ AC2: verify that the statement panel can again be edited

@matthiasmullie AC2 is partially satisfied, however at about 28 seconds into the video (I've attached an mp4 so that you can scroll to the 28 second mark) you see that the auto suggestion for qualifiers stops working. If the page is reloaded it will start working again.

Edtadros updated the task description. (Show Details)Jul 18 2019, 9:32 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Works as expected on production.

Ramsey-WMF closed this task as Resolved.Jul 31 2019, 11:16 PM